文档首页 > > 用户指南> 插件管理>

Everest(系统资源插件,必装)

Everest(系统资源插件,必装)

分享
更新时间:2021/06/06 GMT+08:00

插件简介

Everest是一个云原生容器存储系统,基于CSI(即Container Storage Interface)为Kubernetes v1.15.6及以上版本集群对接华为云云硬盘服务 EVS、对象存储服务 OBS、弹性文件服务 SFS、极速文件存储 SFS Turbo等存储服务的能力。

该插件为系统资源插件,kubernetes 1.15及以上版本的集群在创建时默认安装。

约束与限制

  • 集群版本由v1.13升级到v1.15后,v1.13版本集群中的Flexvolume容器存储插件(storage-driver)能力将由v1.15的CSI插件(Everest,插件版本v1.1.6及以上)接管,接管后原有功能保持不变。CSI和Flexvolume能力对比请参见CSI和Flexvolume存储插件的区别
  • 插件版本为1.2.0的Everest优化了使用OBS存储时的秘钥认证功能,低于该版本的Everest插件在升级完成后,需要重启集群中使用OBS存储的全部工作负载,否则工作负载使用存储的能力将受影响!
  • v1.15及以上版本的CCE集群、CCE Turbo集群和鲲鹏集群默认安装本插件,v1.13及以下版本集群创建时默认安装storage-driver插件。

安装插件

本插件为系统默认安装,若因特殊情况卸载后,可参照如下步骤重新安装。

  1. CCE控制台中,单击左侧导航栏的插件管理,在插件市场页签下,单击“everest”插件下的“安装插件”
  2. 在安装插件页面,选择安装的集群和插件版本,单击“下一步:规格配置”
  3. 该插件可配置“单实例”“高可用”规格,选择后单击“安装”

    待插件安装完成后,单击“返回”,在“插件实例”页签下,选择对应的集群,可查看到运行中的实例,这表明该插件已在当前集群的各节点中安装。

升级插件

  1. 登录CCE控制台,在左侧导航栏中选择插件管理,在插件实例页签下,选择对应的集群,单击“everest”下的“ 升级”

    • 如果升级按钮处于冻结状态,则说明当前插件版本是最新的版本,不需要进行升级操作。
    • 升级everest插件时,会替换原先节点上的旧版本的everest插件,安装最新版本的everest插件以实现功能的快速升级。

  2. 在基本信息页面选择插件版本,单击“下一步”
  3. 该插件可配置“单实例”“高可用”规格,选择后单击“升级”即可升级“everest”插件。

卸载插件

  1. CCE控制台中,单击左侧导航栏的“插件管理”,在“插件实例”页签下,选择对应的集群,单击“everest”下的“卸载”
  2. 在弹出的窗口中,单击,可卸载该插件。
分享:

    相关文档

    相关产品